Bug 14723 - [3.4 only] Backported -march=nocona from mainline
Summary: [3.4 only] Backported -march=nocona from mainline
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: target (show other bugs)
Version: 3.4.0
: P2 enhancement
Target Milestone: 3.4.1
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-03-24 18:55 UTC by H.J. Lu
Modified: 2004-04-21 15:27 UTC (History)
2 users (show)

See Also:
Host: x86_64-pc-linux-gnu
Target: x86_64-pc-linux-gnu
Build: x86_64-pc-linux-gnu
Known to work:
Known to fail:
Last reconfirmed: 2004-03-24 19:09:00


Attachments
A patch backported from mainline (1.44 KB, patch)
2004-03-24 18:57 UTC, H.J. Lu
Details | Diff
A backported patch for gcc 3.3 branch (879 bytes, patch)
2004-03-24 22:42 UTC, H.J. Lu
Details | Diff
A new patch for gcc 3.3 branch (1.22 KB, patch)
2004-03-25 17:33 UTC, H.J. Lu
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description H.J. Lu 2004-03-24 18:55:37 UTC
Gcc 3.4.0 couldn't optimize Intel new processors. I'd like to
backport the mainline patch:

http://gcc.gnu.org/ml/gcc-patches/2004-02/msg02539.html
Comment 1 H.J. Lu 2004-03-24 18:57:23 UTC
Created attachment 5993 [details]
A patch backported from mainline
Comment 2 Andrew Pinski 2004-03-24 19:09:00 UTC
Confirmed. Mark is this too late for 3.4.0? (I think it is.)
Comment 3 Mark Mitchell 2004-03-24 19:22:27 UTC
Yes, this is too late for GCC 3.4.0.

If this is approved for mainline, we can get this into 3.4.1.
Comment 4 H.J. Lu 2004-03-24 22:42:19 UTC
Created attachment 5995 [details]
A backported patch for gcc 3.3 branch

This patch is for gcc 3.3 so that people can use "-march=nocona" with
gcc 3.3.
Comment 5 H.J. Lu 2004-03-25 17:33:36 UTC
Created attachment 5998 [details]
A new patch for gcc 3.3 branch

I forgot to add --with-cpu=nocona support for gcc 3.3. Here
is the patch.
Comment 6 CVS Commits 2004-03-26 17:28:35 UTC
Subject: Bug 14723

CVSROOT:	/cvs/gcc
Module name:	gcc
Branch: 	gcc-3_3-branch
Changes by:	hjl@gcc.gnu.org	2004-03-26 17:28:29

Modified files:
	gcc            : ChangeLog config.gcc 
	gcc/config/i386: i386.c 
	gcc/doc        : invoke.texi 

Log message:
	2004-03-26  Jan Hubicka  <jh@suse.cz>
	H.J. Lu  <hongjiu.lu@intel.com>
	
	PR Target/14723
	* config.gcc: Add support --with-cpu=nocona.
	
	* config/i386/i386.c (override_options): Add support for
	Prescott and Nocona.
	
	* doc/invoke.texi: Extend documentation of -mcpu/-march for new
	CPUs.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-3_3-branch&r1=1.16114.2.953&r2=1.16114.2.954
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/config.gcc.diff?cvsroot=gcc&only_with_tag=gcc-3_3-branch&r1=1.266.2.22&r2=1.266.2.23
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/config/i386/i386.c.diff?cvsroot=gcc&only_with_tag=gcc-3_3-branch&r1=1.495.2.34&r2=1.495.2.35
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/doc/invoke.texi.diff?cvsroot=gcc&only_with_tag=gcc-3_3-branch&r1=1.209.2.56&r2=1.209.2.57

Comment 7 CVS Commits 2004-04-21 15:12:48 UTC
Subject: Bug 14723

CVSROOT:	/cvs/gcc
Module name:	gcc
Branch: 	gcc-3_4-branch
Changes by:	hjl@gcc.gnu.org	2004-04-21 15:12:43

Modified files:
	gcc            : ChangeLog config.gcc 
	gcc/config/i386: i386.c i386.h 
	gcc/doc        : invoke.texi 

Log message:
	2004-04-21  H.J. Lu  <hongjiu.lu@intel.com>
	
	* PR target/14723
	Backport from mainline:
	2004-02-14  Jan Hubicka  <jh@suse.cz>
	
	* config.gcc: Add support for nocona/prescott/pentium-m/pentium3m
	/pentium4m.
	* i386.c (override_options): Add support for new CPUs.
	* i386.h (TARGET_CPU_DEFAULT_NAMES): New names.
	(TARGET_CPU_DEFAULT_pentium_m, TARGET_CPU_DEFAULT_pentium4e): New
	constants.
	* invoke.texi: Extend documentation of -mtune/-march for new CPUs.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=2.2326.2.400&r2=2.2326.2.401
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/config.gcc.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=1.420.2.13&r2=1.420.2.14
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/config/i386/i386.c.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=1.635.2.8&r2=1.635.2.9
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/config/i386/i386.h.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=1.368.2.3&r2=1.368.2.4
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/doc/invoke.texi.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=1.390.2.24&r2=1.390.2.25

Comment 8 Andrew Pinski 2004-04-21 15:27:59 UTC
Fixed in 3.4.1.
Comment 9 CVS Commits 2004-07-01 10:35:06 UTC
Subject: Bug 14723

CVSROOT:	/cvs/gcc
Module name:	gcc
Branch: 	gcc-3_2-rhl8-branch
Changes by:	jakub@gcc.gnu.org	2004-07-01 10:35:02

Modified files:
	gcc            : ChangeLog config.gcc 
	gcc/config/i386: i386.c i386.h i386.md pmmintrin.h 
	gcc/doc        : invoke.texi 

Log message:
	2004-04-14  Jakub Jelinek  <jakub@redhat.com>
	
	* config/i386/i386.c (override_options): Add PTA_64BIT, set it
	for nocona, x86-64.  Add k8, opteron, athlon64 and athlon-fx
	CPUs.  Issue error if selected CPU doesn't have PTA_64BIT set
	instead of checking for PROCESSOR_ATHLON.
	* config/i386/i386.h (TARGET_CPU_DEFAULT_x86_64): Define.
	(TARGET_CPU_DEFAULT_nocona): Define.
	(TARGET_CPU_DEFAULT_NAMES): Add "x86-64" and "nocona".
	(CPP_CPU_DEFAULT_SPEC): Define for x86_64 and nocona default
	CPUs.
	* config.gcc (x86_64-*-*): Set target_cpu_default2 to
	TARGET_CPU_DEFAULT_x86_64 or TARGET_CPU_DEFAULT_nocona.
	
	2004-04-14  H.J. Lu  <hongjiu.lu@intel.com>
	Jakub Jelinek  <jakub@redhat.com>
	
	* config/i386/i386.h (CPP_CPUCOMMON_SPEC): Support Prescott and
	Nocona.
	
	2004-03-26  Jan Hubicka  <jh@suse.cz>
	H.J. Lu  <hongjiu.lu@intel.com>
	
	PR target/14723
	* config.gcc: Add support --with-cpu=nocona.
	
	* config/i386/i386.c (override_options): Add support for
	Prescott and Nocona.
	
	* doc/invoke.texi: Extend documentation of -mcpu/-march for new
	CPUs.
	
	2004-02-06  Kelley Cook  <kcook@gcc.gnu.org>
	
	* config/i386/i386.c: Rename pni to sse3.
	* config/i386/i386.h: Likewise.
	* config/i386/i386.md: Likewise.
	* config/i386/pmmintrin.h: Likewise.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-3_2-rhl8-branch&r1=1.13152.2.657.2.27.2.193&r2=1.13152.2.657.2.27.2.194
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/config.gcc.diff?cvsroot=gcc&only_with_tag=gcc-3_2-rhl8-branch&r1=1.167.2.23.2.1.2.7&r2=1.167.2.23.2.1.2.8
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/config/i386/i386.c.diff?cvsroot=gcc&only_with_tag=gcc-3_2-rhl8-branch&r1=1.368.2.19.2.2.2.41&r2=1.368.2.19.2.2.2.42
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/config/i386/i386.h.diff?cvsroot=gcc&only_with_tag=gcc-3_2-rhl8-branch&r1=1.243.2.8.4.21&r2=1.243.2.8.4.22
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/config/i386/i386.md.diff?cvsroot=gcc&only_with_tag=gcc-3_2-rhl8-branch&r1=1.339.2.13.2.1.2.21&r2=1.339.2.13.2.1.2.22
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/config/i386/pmmintrin.h.diff?cvsroot=gcc&only_with_tag=gcc-3_2-rhl8-branch&r1=1.1.14.1&r2=1.1.14.2
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/doc/invoke.texi.diff?cvsroot=gcc&only_with_tag=gcc-3_2-rhl8-branch&r1=1.119.2.12.4.2.2.10&r2=1.119.2.12.4.2.2.11